Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class PortalControlStructures

    java.lang.Object
      org.jasig.portal.PortalControlStructures

    public class PortalControlStructures

extends java.lang.Object

This object is passed to special channels.

Version:
  $Revision: 1.10 $
Author:
  Peter Kharchenko, peterk@interactivebusiness.com

Field Summary
`protected ChannelManager` | `cm`
`protected javax.servlet.http.HttpServletRequest` | `req`
`protected javax.servlet.http.HttpServletResponse` | `res`
`protected IUserPreferencesManager` | `ulm`

Constructor Summary
`PortalControlStructures()`
`PortalControlStructures(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, ChannelManager cm, IUserPreferencesManager ulm)`

Method Summary
`ChannelManager` | `getChannelManager()`
`javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()`
`javax.servlet.http.HttpServletResponse` | `getHttpServletResponse()`
`javax.servlet.http.HttpSession` | `getHttpSession()` Convience method for getting just the HttpSession
`IUserPreferencesManager` | `getUserPreferencesManager()`
`void` | `setChannelManager(ChannelManager m)`
`void` | `setHttpServletRequest(javax.servlet.http.HttpServletRequest r)`
`void` | `setHttpServletResponse(javax.servlet.http.HttpServletResponse r)`
`void` | `setUserPreferencesManager(IUserPreferencesManager lm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ulm

    protected IUserPreferencesManager ulm

### req

    protected javax.servlet.http.HttpServletRequest req

### res

    protected javax.servlet.http.HttpServletResponse res

### cm

    protected ChannelManager cm

Constructor Detail

### PortalControlStructures

    public PortalControlStructures(javax.servlet.http.HttpServletRequest req,
                                   javax.servlet.http.HttpServletResponse res,
                                   ChannelManager cm,
                                   IUserPreferencesManager ulm)

### PortalControlStructures

    public PortalControlStructures()

Method Detail

### getUserPreferencesManager

    public IUserPreferencesManager getUserPreferencesManager()

### getHttpServletRequest

    public javax.servlet.http.HttpServletRequest getHttpServletRequest()

### getHttpServletResponse

    public javax.servlet.http.HttpServletResponse getHttpServletResponse()

### getChannelManager

    public ChannelManager getChannelManager()

### getHttpSession

    public javax.servlet.http.HttpSession getHttpSession()

  Convience method for getting just the HttpSession

  Returns:
    the session

### setUserPreferencesManager

    public void setUserPreferencesManager(IUserPreferencesManager lm)

### setHttpServletRequest

    public void setHttpServletRequest(javax.servlet.http.HttpServletRequest r)

### setHttpServletResponse

    public void setHttpServletResponse(javax.servlet.http.HttpServletResponse r)

### setChannelManager

    public void setChannelManager(ChannelManager m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD